Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.repositories
[Java] Class WebdavResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.gradle.api.artifacts.repositories.WebdavResolver

    public class WebdavResolver
    extends org.apache.ivy.plugins.resolver.RepositoryResolver

A org.apache.ivy.plugins.resolver.RepositoryResolver for webdav based repositories.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Fields inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Constructor Summary
`WebdavResolver()`

Method Summary
`java.lang.String` | `getTypeName()`
`void` | `setUser(java.lang.String user)`
`void` | `setUserPassword(java.lang.String userPassword)`

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
org.apache.ivy.plugins.resolver.RepositoryResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getTypeName(), org.apache.ivy.plugins.resolver.RepositoryResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.RepositoryResolver#dumpSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.RepositoryResolver#getRepository(), org.apache.ivy.plugins.resolver.RepositoryResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.RepositoryResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.RepositoryResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.RepositoryResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.RepositoryResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.RepositoryResolver#isM2compatible(), org.apache.ivy.plugins.resolver.RepositoryResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.RepositoryResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.RepositoryResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.RepositoryResolver#toString(), org.apache.ivy.plugins.resolver.RepositoryResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#isForce(), org.apache.ivy.plugins.resolver.RepositoryResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.RepositoryResolver#reportFailure(), org.apache.ivy.plugins.resolver.RepositoryResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.RepositoryResolver#listOrganisations(), org.apache.ivy.plugins.resolver.RepositoryResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.RepositoryResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.RepositoryResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setForce(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.RepositoryResolver#isAllownomd(), org.apache.ivy.plugins.resolver.RepositoryResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.RepositoryResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.RepositoryResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getName(), org.apache.ivy.plugins.resolver.RepositoryResolver#validate(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.RepositoryResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.RepositoryResolver#getNamespace(), org.apache.ivy.plugins.resolver.RepositoryResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.RepositoryResolver#getSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.RepositoryResolver#getParserSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isValidate(), org.apache.ivy.plugins.resolver.RepositoryResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.RepositoryResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.RepositoryResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getLatest(), org.apache.ivy.plugins.resolver.RepositoryResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.RepositoryResolver#getEventManager(), org.apache.ivy.plugins.resolver.RepositoryResolver#hashCode(), org.apache.ivy.plugins.resolver.RepositoryResolver#getClass(), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(long), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(long, int), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(), org.apache.ivy.plugins.resolver.RepositoryResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.RepositoryResolver#notify(), org.apache.ivy.plugins.resolver.RepositoryResolver#notifyAll()

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#dumpSettings(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#isM2compatible(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#toString(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#isForce(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#reportFailure(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#listOrganisations(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setForce(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#isAllownomd(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getName(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getTypeName(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#validate(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getNamespace(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getSettings(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getParserSettings(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#isValidate(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getLatest(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getEventManager(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#hashCode(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#getClass(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#wait(long), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#wait(long, int), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#wait(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#notify(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#notifyAll(), org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean)

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
org.apache.ivy.plugins.resolver.BasicResolver#toString(), org.apache.ivy.plugins.resolver.BasicResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.BasicResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.BasicResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.BasicResolver#isForce(), org.apache.ivy.plugins.resolver.BasicResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.BasicResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.BasicResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.BasicResolver#reportFailure(), org.apache.ivy.plugins.resolver.BasicResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.BasicResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.BasicResolver#listOrganisations(), org.apache.ivy.plugins.resolver.BasicResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.BasicResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.BasicResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#setForce(boolean), org.apache.ivy.plugins.resolver.BasicResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.BasicResolver#isAllownomd(), org.apache.ivy.plugins.resolver.BasicResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.BasicResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.BasicResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.BasicResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.BasicResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.BasicResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.BasicResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#getName(), org.apache.ivy.plugins.resolver.BasicResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#getTypeName(), org.apache.ivy.plugins.resolver.BasicResolver#validate(), org.apache.ivy.plugins.resolver.BasicResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.BasicResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.BasicResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.BasicResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.BasicResolver#getNamespace(), org.apache.ivy.plugins.resolver.BasicResolver#dumpSettings(), org.apache.ivy.plugins.resolver.BasicResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.BasicResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.BasicResolver#getSettings(), org.apache.ivy.plugins.resolver.BasicResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.BasicResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.BasicResolver#getParserSettings(), org.apache.ivy.plugins.resolver.BasicResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#isValidate(), org.apache.ivy.plugins.resolver.BasicResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.BasicResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.BasicResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#getLatest(), org.apache.ivy.plugins.resolver.BasicResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.BasicResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.BasicResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.BasicResolver#getEventManager(), org.apache.ivy.plugins.resolver.BasicResolver#hashCode(), org.apache.ivy.plugins.resolver.BasicResolver#getClass(), org.apache.ivy.plugins.resolver.BasicResolver#wait(long), org.apache.ivy.plugins.resolver.BasicResolver#wait(long, int), org.apache.ivy.plugins.resolver.BasicResolver#wait(), org.apache.ivy.plugins.resolver.BasicResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.BasicResolver#notify(), org.apache.ivy.plugins.resolver.BasicResolver#notifyAll(), org.apache.ivy.plugins.resolver.BasicResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.BasicResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData)

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
org.apache.ivy.plugins.resolver.AbstractResolver#getName(), org.apache.ivy.plugins.resolver.AbstractResolver#toString(), org.apache.ivy.plugins.resolver.AbstractResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#getTypeName(), org.apache.ivy.plugins.resolver.AbstractResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.AbstractResolver#validate(), org.apache.ivy.plugins.resolver.AbstractResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.AbstractResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.AbstractResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.AbstractResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.AbstractResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.AbstractResolver#reportFailure(), org.apache.ivy.plugins.resolver.AbstractResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.AbstractResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.AbstractResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.AbstractResolver#listOrganisations(), org.apache.ivy.plugins.resolver.AbstractResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.AbstractResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.AbstractResolver#getNamespace(), org.apache.ivy.plugins.resolver.AbstractResolver#dumpSettings(), org.apache.ivy.plugins.resolver.AbstractResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.AbstractResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.AbstractResolver#getSettings(), org.apache.ivy.plugins.resolver.AbstractResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.AbstractResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.AbstractResolver#getParserSettings(), org.apache.ivy.plugins.resolver.AbstractResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#isValidate(), org.apache.ivy.plugins.resolver.AbstractResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.AbstractResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.AbstractResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#getLatest(), org.apache.ivy.plugins.resolver.AbstractResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.AbstractResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.AbstractResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.AbstractResolver#getEventManager(), org.apache.ivy.plugins.resolver.AbstractResolver#hashCode(), org.apache.ivy.plugins.resolver.AbstractResolver#getClass(), org.apache.ivy.plugins.resolver.AbstractResolver#wait(long), org.apache.ivy.plugins.resolver.AbstractResolver#wait(long, int), org.apache.ivy.plugins.resolver.AbstractResolver#wait(), org.apache.ivy.plugins.resolver.AbstractResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.AbstractResolver#notify(), org.apache.ivy.plugins.resolver.AbstractResolver#notifyAll(), org.apache.ivy.plugins.resolver.AbstractResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.AbstractResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.AbstractResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.AbstractResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions)

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Constructor Detail

### WebdavResolver

    public WebdavResolver()

Method Detail

### getTypeName

    public java.lang.String getTypeName()

### setUser

    public void setUser(java.lang.String user)

### setUserPassword

    public void setUserPassword(java.lang.String userPassword)

Groovy Documentation